本文整理汇总了C#中Form.AddEdge方法的典型用法代码示例。如果您正苦于以下问题:C# Form.AddEdge方法的具体用法?C# Form.AddEdge怎么用?C# Form.AddEdge使用的例子?那么, 这里精选的方法代码示例或许可以为您提供帮助。您也可以进一步了解该方法所在类Form
的用法示例。
在下文中一共展示了Form.AddEdge方法的1个代码示例,这些例子默认根据受欢迎程度排序。您可以为喜欢或者感觉有用的代码点赞,您的评价将有助于系统推荐出更棒的C#代码示例。
示例1: AddEdge
/// <summary>
/// Add edge to the loft form
/// </summary>
/// <param name="form">The loft form to be added edge</param>
/// <returns>Reference of the added edge</returns>
private Reference AddEdge(Form form)
{
// Get two specific edges from the form
Autodesk.Revit.DB.XYZ startOfTop = new Autodesk.Revit.DB.XYZ (-1 * m_topLength / 2, -1 * m_topWidth / 2, m_topHeight);
Autodesk.Revit.DB.XYZ endOfTop = new Autodesk.Revit.DB.XYZ (m_topLength / 2, -1 * m_topWidth / 2, m_topHeight);
Edge topEdge = GetEdgeByEndPoints(form, startOfTop, endOfTop);
Autodesk.Revit.DB.XYZ startOfBottom = new Autodesk.Revit.DB.XYZ (-1 * (m_bottomLength / 2 + m_vertexOffsetOnBottomProfile), -1 * (m_bottomWidth / 2 + m_vertexOffsetOnBottomProfile), m_bottomHeight);
Autodesk.Revit.DB.XYZ endOfBottom = new Autodesk.Revit.DB.XYZ ((m_bottomLength / 2 + m_vertexOffsetOnBottomProfile), -1 * (m_bottomWidth / 2 + m_vertexOffsetOnBottomProfile), m_bottomHeight);
Edge bottomEdge = GetEdgeByEndPoints(form, startOfBottom, endOfBottom);
// Add an edge between the two edges with specific parameters
double topParam = 0.5;
double bottomParam = 0.5;
form.AddEdge(topEdge.Reference, topParam, bottomEdge.Reference, bottomParam);
m_revitDoc.Regenerate();
// Get the added edge and return its reference
Autodesk.Revit.DB.XYZ startOfAddedEdge = startOfTop.Add(endOfTop.Subtract(startOfTop).Multiply(topParam));
Autodesk.Revit.DB.XYZ endOfAddedEdge = startOfBottom.Add(endOfBottom.Subtract(startOfBottom).Multiply(bottomParam));
return GetEdgeByEndPoints(form, startOfAddedEdge, endOfAddedEdge).Reference;
}